> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List license properties

> Returns the properties set within a license.

For properties without an explicit value assignment, the method will return the default values (if they exist).

**Required scopes:** <Tooltip tip="Allows you to access all properties from your namespace only.">`properties.license.value--my:ro`</Tooltip> <Tooltip tip="Allows you to access all properties from your namespace and public properties from core and other namespaces.">`properties.license.value--all:ro`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.7/openapi.json post /action/list_license_properties
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.7
servers:
  - url: https://api.livechatinc.com/v3.7/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_license_properties:
    post:
      tags:
        - Properties
      summary: List license properties
      description: >-
        Returns the properties set within a license.


        For properties without an explicit value assignment, the method will
        return the default values (if they exist).
      operationId: list-license-properties
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListLicensePropertiesRequest'
            example:
              namespace: 0805e283233042b37f460ed8fbf22160
              name_prefix: string
      responses:
        '200':
          description: License properties.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListLicensePropertiesResponse'
              example:
                0805e283233042b37f460ed8fbf22160:
                  string_property: string value
components:
  schemas:
    ListLicensePropertiesRequest:
      type: object
      properties:
        namespace:
          type: string
          description: The properties namespace.
        name_prefix:
          type: string
          description: The properties name prefix.
    ListLicensePropertiesResponse:
      type: object
      description: A map of namespaces to property name-value pairs.
      additionalProperties:
        $ref: '#/components/schemas/PropertyNamespaceValues'
    PropertyNamespaceValues:
      type: object
      description: An object with property names as keys and their values.
      additionalProperties: {}
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````